/*
SQLyog Ultimate v12.09 (64 bit)
MySQL - 10.4.17-MariaDB : Database - prosoftokt221
*********************************************************************
*/


/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`prosoftokt221` /*!40100 DEFAULT CHARACTER SET utf8mb4 */;

USE `prosoftokt221`;

/*Table structure for table `klijent` */

DROP TABLE IF EXISTS `klijent`;

CREATE TABLE `klijent` (
  `KlijentID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `Ime` varchar(255) NOT NULL,
  `Prezime` varchar(255) NOT NULL,
  `DatumPodnosenjaZahteva` date NOT NULL,
  `DatumIzdavanjaKartice` date NOT NULL,
  `Telefon` varchar(50) NOT NULL,
  `Mejl` varchar(50) NOT NULL,
  `TipKartice` varchar(50) NOT NULL,
  `Prodavac` varchar(50) NOT NULL,
  `ProgramLojalnostiID` bigint(20) unsigned NOT NULL,
  `ObjekatIzdavanjaID` bigint(20) unsigned NOT NULL,
  PRIMARY KEY (`KlijentID`),
  KEY `ProgramLojalnostiID` (`ProgramLojalnostiID`),
  KEY `ObjekatIzdavanjaID` (`ObjekatIzdavanjaID`),
  CONSTRAINT `klijent_ibfk_1` FOREIGN KEY (`ProgramLojalnostiID`) REFERENCES `programlojalnosti` (`ProgramLojalnostiID`),
  CONSTRAINT `klijent_ibfk_2` FOREIGN KEY (`ObjekatIzdavanjaID`) REFERENCES `objekat` (`ObjekatID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

/*Data for the table `klijent` */

/*Table structure for table `objekat` */

DROP TABLE IF EXISTS `objekat`;

CREATE TABLE `objekat` (
  `ObjekatID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `Naziv` varchar(255) NOT NULL,
  `Mesto` varchar(255) NOT NULL,
  `Adresa` varchar(255) NOT NULL,
  `DatumOtvaranja` date NOT NULL,
  `Status` varchar(50) NOT NULL,
  PRIMARY KEY (`ObjekatID`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8mb4;

/*Data for the table `objekat` */

insert  into `objekat`(`ObjekatID`,`Naziv`,`Mesto`,`Adresa`,`DatumOtvaranja`,`Status`) values (1,'Roda-OBJ1','Beograd','Jove Ilica 100','2021-09-01','REKONSTRUKCIJA'),(2,'RODA-OBJ2','Novi Beograd','Japanska 20','2021-09-02','AKTIVAN'),(3,'IDEA-OBJ1','Beograd','27. marta 10','2021-09-03','AKTIVAN'),(4,'GIGA-OBJ1','Nis','Cara Lazara 24','2021-09-04','ZATVOREN'),(5,'GIGA-OBJ2','Pozarevac','Trg Radomira Vujovica 20','2021-09-05','AKTIVAN'),(6,'GIGA-OBJ3','Beograd','Trg Republike 1','2021-09-06','AKTIVAN'),(7,'EMMA-OBJ1','Beograd','Partizanske avijacije bb','2021-09-07','AKTIVAN'),(8,'EMMA-OBJ2','Cacak','Ibarski put bb','2021-09-08','AKTIVAN'),(9,'FORMA-OBJ1','Kragujevac','Save Kovacevica 27','2021-09-09','AKTIVAN'),(10,'FORMA-OBJ2','Jagodina','Ribarski put bb','2021-09-10','AKTIVAN'),(11,'NIS-OBJ1','Beograd','Bulevar despota Stefana bb','2021-09-11','AKTIVAN'),(12,'NIS-OBJ2','Novi Sad','Maksima Gorkog 1','2021-09-12','AKTIVAN'),(13,'EKO-OBJ1','Temerin','Novosadski put bb','2021-09-13','AKTIVAN'),(14,'EKO-OBJ2','Kanjiza','Horgoski put bb','2021-09-14','AKTIVAN'),(15,'EKO-OBJ3','Omoljica','Patrijarha Carnojevica bb','2021-09-15','REKONSTRUKCIJA');

/*Table structure for table `programlojalnosti` */

DROP TABLE IF EXISTS `programlojalnosti`;

CREATE TABLE `programlojalnosti` (
  `ProgramLojalnostiID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `Naziv` varchar(255) NOT NULL,
  `Opis` varchar(255) NOT NULL,
  `Status` varchar(50) NOT NULL,
  PRIMARY KEY (`ProgramLojalnostiID`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb4;

/*Data for the table `programlojalnosti` */

insert  into `programlojalnosti`(`ProgramLojalnostiID`,`Naziv`,`Opis`,`Status`) values (1,'Auto Card','Kupovina auto-delova','NEAKTIVAN'),(2,'Superkartica','Kupovina u maloprodajnim lancima','AKTIVAN'),(3,'Giga Card','Kupovina racunarske opreme i bele tehnike','AKTIVAN'),(4,'Emma Card','Kupovina namestaja i opreme za dom','AKTIVAN'),(5,'Forma Card','Kupovina namestaja i opreme za dom','AKTIVAN'),(6,'NIS Card','Kupovina goriva i auto-opreme','AKTIVAN'),(7,'Eko Card','Kupovina goriva i auto-opreme','AKTIVAN');

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
